*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
  -webkit-text-size-adjust: 100%;
  max-width: 100%;
}

body {
  min-height: 100vh;
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  font-family: "Inter", sans-serif;
  letter-spacing: -0.022em;
  max-width: 100%;
  overflow: hidden;
}

html, body {
    width: 100%;
    margin: 0;
    padding: 0;
    overflow-x: hidden; 
    position: relative;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
  height: auto;
}

a {
  text-decoration: none;
  color: inherit;
}

ul,
ol {
  list-style: none;
}

h1,
h2,
h3,
h4 {
  font-weight: 400;
}

input,
button,
textarea,
select {
  font: inherit;
  outline: none;
  border: none;
  background: transparent;
}

button {
  cursor: pointer;
}

textarea {
  resize: vertical;
}

.container {
  padding: 0 10px 0 10px;
  overflow-x: hidden;
}

@media (min-width: 768px) {
  .container {
padding: 0 70px 0 70px;
  }
}

@media (min-width: 1200px) {
  .container {
padding: 0 200px 0 200px;
  }
}

.header-container {
  width: 100%;
  position: absolute;
  left: 0;
  top: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;

}

.header-socials {
  display: flex;
  gap: 20px;
}

.header-social-link {
  padding: 5px;
  background: rgba(255, 255, 255, 0.15); 
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-radius: 10px;
  border: 1px solid rgba(255, 255, 255, 0.2);
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.05);
  transition: transform 0.5s ease-in-out;
  color: #fdf9b4;
}

.header-social-icon {
  width: 25px;
  height: 25px;
}

.header-name {
  color: #fdf9b4;
}

.hero {
  background-image: url("../img/hero-bg.webp");
  color: white;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;

}

.hero-text-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
  color: #fff;
  -webkit-font-smoothing: antialiased;
  font-weight: 300;
  font-size: 1rem;
  padding-top: 60px;
  padding-bottom: 20px;
}

.hero-title {
  text-transform: uppercase;
  font-size: 26px;
}

.hero-icon {
  color: #fdf9b4;
}

.hero-text-left {
  display: flex;
  gap: 20px;
  text-transform: uppercase;
  font-size: 16px;
}

.hero-text-right {
  align-self: flex-end;
  max-width: 120px;
  text-transform: uppercase;
  font-size: 16px;
}

.section-icon {
  color: #fdf9b4;
  font-size: 33px;
}

.section-title {
  text-transform: uppercase;
}

.section-title-aftertext {
  text-align: right;
  color: gray;
}

.section-arrow {
  color: #fdf9b4;
  font-size: 30px;
}

.about-title {
  font-size: 28px;
}

.about-title-aftertext {
  display: block;
}

.services {
   background: url(../img/services-bg.webp);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  padding: 10px 0 20px 0;
  color: white;
}

@media (min-width: 1200px) {
  .services {
  background: url(../img/services-bg-pc.webp);
 background-size: cover;
 background-position: center center;
  }
}

.services-cards-container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  justify-content: center;
}

.services-card {
 max-width: 80%;
  padding: 20px;
  background: rgba(255, 255, 255, 0.15); 
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-radius: 25px;
  border: 1px solid rgba(255, 255, 255, 0.2);
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.05);
}
 

.services-card-text {
  font-size: 20px;
}

.services-card-title {
  font-size: 22px;
}

.services-card-underline {
  border-bottom: 1px solid;
}

.yellow {
  color: #fdf9b4;
}

.offers {
  padding-top: 15px;
}

.offers-card {
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  display: flex !important;;
  flex-direction: column;
  justify-content: space-between;
}

.target-card {
  background-image: url(../img/target-bg.webp);
  
}

.consultation-card {
  background-image: url(../img/consultation-bg.webp);
  color: white;
}

.beauty-card {
  background-image: url(../img/beauty-bg.webp);
}

.audit-card {
  background-image: url(../img/audit-bg.webp);
  color: white;
}

.swiper {
    width: 80%;
    overflow: visible !important; 
}

.swiper-slide {
    height: 800px !important;
    border-radius: 20px;
    transition: opacity 0.5s;
    padding: 20px;
}

@media (min-width: 1200px) {
.swiper-slide {
  height: 90vh !important;
}
}

.swiper-buttons-container {
  position: relative;
  height: 44px;
}

.offers .swiper-button-next, 
.offers .swiper-button-prev {
    color: #fdf9b4 !important;
    background-color: grey;
    padding: 25px;
    border-radius: 15px;
}

.swiper-slide-next,
.swiper-slide-prev {
    opacity: 0.5;
}
.swiper-slide-active {
    opacity: 1;
}

.offers-card {
  font-size: 20px;
  text-transform: uppercase;
}

.offers-card-title {
  font-size: 24px;
}

.offers-card-subtitle {
  text-align: right;
}

.card-details {
  text-transform: none;
}

.card-details-title {
  text-transform: none;
}

.card-details-result {
  text-align: right;
}

.contact-form {
  border-radius: 15px;
  background-color: gray;
  padding: 25px;
  max-width: 600px;
  margin: auto;
}

.form-title-aftertext {
  text-transform: none;
}

input {
  background-color: white;
  padding: 5px;
  border-radius: 5px;
  width: 100%;
}

.submit-btn {
  width: 100%;
  text-align: center;
  margin: 10px 0 10px 0;
  background-color: #fdf9b4;
  padding: 5px;
  border-radius: 15px;
  color: black;
}

.form-note {
  font-size: 12px;
}

.policy {
  display: none;
  position: fixed;
  top: 0px;
  left: 0px;
  z-index: 10000; 
    width: 100%;
    height: 100%;
    overflow-y: auto;
    background: url(../img/beauty-bg.webp);
    background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

.policy.active {
  display: block;
}

.modal {
  position: relative;
}

.close-policy-btn {
  position: absolute;
  right: 10px;
  top: 10px;
  padding: 10px;
  background-color: #fdf9b4;
  border-radius: 25px;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
} 

.close-policy-btn:active {
  color: #000;
}

.black {
  color: #000;
}

.grey {
  color: grey;
}

.white {
  color: white;
}

footer {
  background-image: url(../img/audit-bg.webp);
  background-size: cover;
  background-repeat: no-repeat;
  padding: 20px 0 20px 0;
  margin-top: 20px;
  color: white;
}

.footer-socials {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 20px;
  margin-top: 20px;
}

.social-link {
  padding: 10px;
  background: rgba(255, 255, 255, 0.15); 
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-radius: 15px;
  border: 1px solid rgba(255, 255, 255, 0.2);
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.05);
  transition: transform 0.5s ease-in-out;
}

.social-link:hover {
  transform: scale(1.2);
}

.social-icon {
  width: 30px;
  height: 30px;
  fill: #000;
}

.copyright {
  margin-top: 20px;
  text-align: center;
}